### 7DPQTN2 specific settings
# vim: ft=i3
set $intern "Chimei Innolux Corporation 0x14D3 0x00000000"
set $extern "Dell Inc. Dell U4919DW 9YVZWP2"
set $extern2 "Dell Inc. Dell U4919DW 10WZWP2"

### Output configuration
output $intern position 0 0
output $extern position 1920 0 resolution 5120x1440
output $extern2 position -1600 -1440 resolution 5120x1440

bindswitch --reload --locked lid:on output $intern disable
bindswitch --reload --locked lid:off output $intern enable

### Input configuration
input "1102:4639:DELL081C:00_044E:121F_Touchpad" {
  click_method clickfinger
  dwt enabled               # disable while typing
  # drag enabled
  # drag_lock enabled
  scroll_method two_finger
  tap enabled
  tap_button_map lrm
  natural_scroll enabled
  middle_emulation enabled
}

input "1:1:AT_Translated_Set_2_keyboard" {
  xkb_layout "eu"
  xkb_options "xk5:vim,xk5:fn"
}

input "16700:8467:Dell_KB216_Wired_Keyboard" {
  xkb_layout "eu"
  xkb_options "xk5:vim,xk5:fn"
}
